[Pm-utils] [PATCH 05/17] Modify 05led to exit $NA where applicable.

Victor Lowther victor.lowther at gmail.com
Sat Feb 16 12:29:58 PST 2008


Also get rid of redundant calls to exit.
---
 pm/sleep.d/05led |    6 ++----
 1 files changed, 2 insertions(+), 4 deletions(-)

diff --git a/pm/sleep.d/05led b/pm/sleep.d/05led
index 5b4f7b6..84bef1b 100755
--- a/pm/sleep.d/05led
+++ b/pm/sleep.d/05led
@@ -1,6 +1,6 @@
 #!/bin/sh
 
-[ -f /proc/acpi/ibm/led ] || exit 1
+[ -f /proc/acpi/ibm/led ] || exit $NA
 
 case "$1" in
 	hibernate|suspend)
@@ -9,8 +9,6 @@ case "$1" in
 	thaw|resume) 
 		echo "7 off" >/proc/acpi/ibm/led
 		;;
-	*)
+	*) exit $NA
 		;;
 esac
-
-exit $?
-- 
1.5.3.8



More information about the Pm-utils mailing list